# Constant Field Values

## waffle.servlet.*

waffle.servlet.NegotiateRequestWrapper
Modifier and Type
Constant Field
Value
`public static final String`
`BASIC_AUTH`
`"BASIC"`
`public static final String`
`CLIENT_CERT_AUTH`
`"CLIENT_CERT"`
`public static final String`
`DIGEST_AUTH`
`"DIGEST"`
`public static final String`
`FORM_AUTH`
`"FORM"`

## waffle.windows.*

waffle.windows.auth.impl.WindowsAuthProviderImpl
Modifier and Type
Constant Field
Value
`public static final int`
`CONTINUE_CONTEXT_TIMEOUT`
`30`